package app.fedilab.fedilabtube.client.entities;
/* Copyright 2020 Thomas Schneider
 *
 * This file is a part of TubeLab
 *
 * This program is free software; you can redistribute it and/or modify it under the terms of the
 * GNU General Public License as published by the Free Software Foundation; either version 3 of the
 * License, or (at your option) any later version.
 *
 * TubeLab is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even
 * the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General
 * Public License for more details.
 *
 * You should have received a copy of the GNU General Public License along with TubeLab; if not,
 * see <http://www.gnu.org/licenses>. */

import android.text.SpannableStringBuilder;

import java.util.Date;
import java.util.LinkedHashMap;


public class Instance {

    private boolean autoBlacklistUserVideosEnabled;
    private LinkedHashMap<Integer, Integer> categories;
    private String country;
    private Date createdAt;
    private String defaultNSFWPolicy;
    private int health;
    private String host;
    private String id;
    private LinkedHashMap<Integer, String> languages;
    private String name;
    private String shortDescription;
    private boolean signupAllowed;
    private boolean supportsIPv6;
    private int totalInstanceFollowers;
    private int totalInstanceFollowing;
    private int totalLocalVideos;
    private int totalUsers;
    private int totalVideos;
    private String userVideoQuota;
    private String version;
    private boolean isNSFW;
    private SpannableStringBuilder spannableStringBuilder;


    public boolean isAutoBlacklistUserVideosEnabled() {
        return autoBlacklistUserVideosEnabled;
    }

    public void setAutoBlacklistUserVideosEnabled(boolean autoBlacklistUserVideosEnabled) {
        this.autoBlacklistUserVideosEnabled = autoBlacklistUserVideosEnabled;
    }

    public LinkedHashMap<Integer, Integer> getCategories() {
        return categories;
    }

    public void setCategories(LinkedHashMap<Integer, Integer> categories) {
        this.categories = categories;
    }

    public String getCountry() {
        return country;
    }

    public void setCountry(String country) {
        this.country = country;
    }

    public Date getCreatedAt() {
        return createdAt;
    }

    public void setCreatedAt(Date createdAt) {
        this.createdAt = createdAt;
    }

    public String getDefaultNSFWPolicy() {
        return defaultNSFWPolicy;
    }

    public void setDefaultNSFWPolicy(String defaultNSFWPolicy) {
        this.defaultNSFWPolicy = defaultNSFWPolicy;
    }

    public int getHealth() {
        return health;
    }

    public void setHealth(int health) {
        this.health = health;
    }

    public String getHost() {
        return host;
    }

    public void setHost(String host) {
        this.host = host;
    }

    public String getId() {
        return id;
    }

    public void setId(String id) {
        this.id = id;
    }

    public LinkedHashMap<Integer, String> getLanguages() {
        return languages;
    }

    public void setLanguages(LinkedHashMap<Integer, String> languages) {
        this.languages = languages;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public String getShortDescription() {
        return shortDescription;
    }

    public void setShortDescription(String shortDescription) {
        this.shortDescription = shortDescription;
    }

    public boolean isSignupAllowed() {
        return signupAllowed;
    }

    public void setSignupAllowed(boolean signupAllowed) {
        this.signupAllowed = signupAllowed;
    }

    public boolean isSupportsIPv6() {
        return supportsIPv6;
    }

    public void setSupportsIPv6(boolean supportsIPv6) {
        this.supportsIPv6 = supportsIPv6;
    }

    public int getTotalInstanceFollowers() {
        return totalInstanceFollowers;
    }

    public void setTotalInstanceFollowers(int totalInstanceFollowers) {
        this.totalInstanceFollowers = totalInstanceFollowers;
    }

    public int getTotalInstanceFollowing() {
        return totalInstanceFollowing;
    }

    public void setTotalInstanceFollowing(int totalInstanceFollowing) {
        this.totalInstanceFollowing = totalInstanceFollowing;
    }

    public int getTotalLocalVideos() {
        return totalLocalVideos;
    }

    public void setTotalLocalVideos(int totalLocalVideos) {
        this.totalLocalVideos = totalLocalVideos;
    }

    public int getTotalUsers() {
        return totalUsers;
    }

    public void setTotalUsers(int totalUsers) {
        this.totalUsers = totalUsers;
    }

    public int getTotalVideos() {
        return totalVideos;
    }

    public void setTotalVideos(int totalVideos) {
        this.totalVideos = totalVideos;
    }

    public String getVersion() {
        return version;
    }

    public void setVersion(String version) {
        this.version = version;
    }

    public boolean isNSFW() {
        return isNSFW;
    }

    public void setNSFW(boolean NSFW) {
        isNSFW = NSFW;
    }

    public String getUserVideoQuota() {
        return userVideoQuota;
    }

    public void setUserVideoQuota(String userVideoQuota) {
        this.userVideoQuota = userVideoQuota;
    }

    public SpannableStringBuilder getSpannableStringBuilder() {
        return spannableStringBuilder;
    }

    public void setSpannableStringBuilder(SpannableStringBuilder spannableStringBuilder) {
        this.spannableStringBuilder = spannableStringBuilder;
    }
}
